package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.NotificationListModel;
import com.lightinit.hsdataplatform.model.admin.NotificationSearchModel;

import java.util.List;

public interface INotificationService {
    List<NotificationListModel> getList(NotificationSearchModel inputModel);

    long queryCount(NotificationSearchModel inputModel);

    ResultState add(NotificationSearchModel inputModel);

    ResultState update(NotificationSearchModel inputModel);

    ResultState delete(Long id);
}
